"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.queryToSelector = exports.buildTestingLibraryScript = void 0;
const fs_1 = require("fs");
const common_1 = require("../../common");
const helpers_1 = require("../helpers");
const queryToSelector = (query) => query.replace(/([a-z])([A-Z])/g, '$1-$2').toLowerCase();
exports.queryToSelector = queryToSelector;
const buildTestingLibraryScript = ({ config }) => __awaiter(void 0, void 0, void 0, function* () {
    const testingLibraryDom = yield fs_1.promises.readFile(require.resolve('@testing-library/dom/dist/@testing-library/dom.umd.js'), 'utf8');
    const configuredTestingLibraryDom = (0, common_1.configureTestingLibraryScript)(testingLibraryDom, config);
    return `
    ${configuredTestingLibraryDom}
    
    window.__testingLibraryReviver = ${helpers_1.reviver.toString()};
  `;
});
exports.buildTestingLibraryScript = buildTestingLibraryScript;
//# sourceMappingURL=helpers.js.map